<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:gravity="center_horizontal"
    android:orientation="vertical"
    tools:context=".rv.module.ui.login.LoginRvActivity">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/size_50"
        android:layout_marginLeft="@dimen/size_30"
        android:layout_marginRight="@dimen/size_30"
        android:layout_marginTop="@dimen/size_50"
        android:background="@drawable/shape_rv_input"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="@dimen/size_15"
            android:textColor="@color/text_Main"
            android:text="@string/rv_phone_type"
            android:textSize="@dimen/text_16" />

        <View
            android:layout_width="@dimen/size_half"
            android:layout_height="@dimen/size_30"
            android:layout_marginLeft="@dimen/size_8"
            android:background="@color/colorMain" />

        <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@null"
            android:layout_marginLeft="@dimen/size_15"
            android:gravity="center_vertical"
            android:hint="@string/rv_phone_hint"
            android:maxLength="11"
            android:inputType="number"
            android:id="@+id/et_phone"
            android:layout_weight="1"
            android:maxLines="1"
            android:textColorHint="@color/colorGray"
            android:textSize="@dimen/text_16" />
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:id="@+id/iv_clear_phone"
            android:visibility="gone"
            android:padding="@dimen/size_15"
            android:src="@drawable/comment_publisher_clear"
            />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/size_50"
        android:layout_marginLeft="@dimen/size_30"
        android:layout_marginRight="@dimen/size_30"
        android:layout_marginTop="@dimen/size_30"
        android:background="@drawable/shape_rv_input"
        android:gravity="center_vertical"
        android:orientation="horizontal">
        <EditText
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@null"
            android:layout_marginLeft="@dimen/size_15"
            android:gravity="center_vertical"
            android:hint="@string/rv_pwd_hint"
            android:maxLength="16"
            android:id="@+id/et_pwd"
            android:layout_weight="1"
            android:inputType="textPassword"
            android:maxLines="1"
            android:textColorHint="@color/colorGray"
            android:textSize="@dimen/text_16" />
        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:id="@+id/iv_clear_pwd"
            android:padding="@dimen/size_15"
            android:src="@drawable/selector_rv_pwd"
            />

    </LinearLayout>
    <TextView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/size_10"
        android:layout_gravity="right"
        android:textColor="@color/colorGray"
        android:id="@+id/tv_forget_pwd"
        android:layout_marginRight="@dimen/size_35"
        android:text="@string/rv_forget_pwd"
        />

    <TextView
        android:layout_width="match_parent"
        android:layout_marginLeft="@dimen/size_30"
        android:layout_marginRight="@dimen/size_30"
        android:layout_height="@dimen/size_50"
        android:textColor="@color/colorWrite"
        android:text="@string/rv_login"
        android:textSize="@dimen/size_16"
        android:id="@+id/tv_login"
        android:gravity="center"
        android:enabled="false"
        android:background="@drawable/selector_rv_button"
        android:layout_marginTop="@dimen/size_30"
        />
    <LinearLayout
        android:layout_marginLeft="@dimen/size_30"
        android:layout_marginRight="@dimen/size_30"
        android:orientation="horizontal"
        android:layout_marginTop="@dimen/size_20"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <TextView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:textSize="@dimen/text_16"
            android:layout_weight="1"
            android:text="@string/rv_phone_login"
            android:textColor="@color/textMain"
            android:id="@+id/tv_phone_login"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/text_14"
            android:text="@string/rv_login_toast"
            android:textColor="@color/colorGray"
            />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/text_16"
            android:text="@string/rv_registered_toast"
            android:textColor="@color/colorAuxiliaryYellow"
            android:id="@+id/tv_registered"
            />
    </LinearLayout>

    <LinearLayout
        android:visibility="gone"
        android:layout_marginLeft="@dimen/size_30"
        android:layout_marginRight="@dimen/size_30"
        android:layout_marginTop="@dimen/size_100"
        android:orientation="horizontal"
        android:layout_width="match_parent"
        android:gravity="center_vertical"
        android:layout_height="wrap_content">
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/size_half"
            android:layout_weight="1"
            android:background="@color/colorGray"
            />
        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textSize="@dimen/text_16"
            android:textColor="@color/colorGray"
            android:text="@string/rv_other_login"
            />
        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/size_half"
            android:layout_weight="1"
            android:background="@color/colorGray"
            />
    </LinearLayout>
    <LinearLayout
        android:visibility="gone"
        android:layout_marginLeft="@dimen/size_45"
        android:layout_marginRight="@dimen/size_45"
        android:layout_marginTop="@dimen/size_20"
        android:orientation="horizontal"
        android:gravity="center"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">
        <ImageView
            android:adjustViewBounds="true"
            android:id="@+id/iv_weixin"
            android:layout_marginRight="@dimen/size_15"
            android:src="@drawable/umeng_socialize_wechat"
            android:layout_width="@dimen/size_60"
            android:layout_height="@dimen/size_60" />
        <ImageView
            android:adjustViewBounds="true"
            android:id="@+id/iv_qq"
            android:layout_marginLeft="@dimen/size_15"
            android:src="@drawable/umeng_socialize_qq"
            android:layout_width="@dimen/size_60"
            android:layout_height="@dimen/size_60" />
    </LinearLayout>
</LinearLayout>
